commit:     8d9081b80a3d1389a76eeb8db311bb0dea992c0b
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 28 17:23:12 2017 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Mar 28 18:28:32 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8d9081b8

dev-python/vertex: Support combined dev-python/twisted

 dev-python/vertex/vertex-0.3.1-r1.ebuild | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/dev-python/vertex/vertex-0.3.1-r1.ebuild 
b/dev-python/vertex/vertex-0.3.1-r1.ebuild
index 789b41a6887..066292c6548 100644
--- a/dev-python/vertex/vertex-0.3.1-r1.ebuild
+++ b/dev-python/vertex/vertex-0.3.1-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI="5"
@@ -18,9 +18,12 @@ RDEPEND="
        libressl? ( dev-libs/libressl )
        >=dev-python/epsilon-0.6.0-r1[${PYTHON_USEDEP}]
        >=dev-python/pyopenssl-0.13-r1[${PYTHON_USEDEP}]
-       dev-python/twisted-core[${PYTHON_USEDEP}]"
+       || (
+               dev-python/twisted[${PYTHON_USEDEP}]
+               dev-python/twisted-core[${PYTHON_USEDEP}]
+       )"
 DEPEND="${RDEPEND}
-       test? ( dev-python/pretend )"
+       test? ( dev-python/pretend[${PYTHON_USEDEP}] )"
 
 python_install_all() {
        distutils-r1_python_install_all

Reply via email to